Bug 80521 - FORMATTING: Automatic capitalization doesn't work when a sentence ends with a number or capitalized last word
Summary: FORMATTING: Automatic capitalization doesn't work when a sentence ends with a...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 74887 (view as bug list)
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2014-06-25 10:26 UTC by josé faria
Modified: 2020-05-03 19:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
text with bugs (17.87 KB, application/vnd.oasis.opendocument.text)
2014-06-25 10:32 UTC, josé faria
Details

Note You need to log in before you can comment on or make changes to this bug.
Description josé faria 2014-06-25 10:26:14 UTC
Problem description: when i finish a sentence with a number followed with a parenthesis or when the sentence is finished with a all caps word the next sentence does not start with a capital letter. the auto-correction option is on

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

              
Operating System: Windows 7
Version: 4.2.5.2 release
Comment 1 josé faria 2014-06-25 10:32:42 UTC
Created attachment 101741 [details]
text with bugs
Comment 2 Yousuf Philips (jay) (retired) 2014-06-26 08:24:38 UTC
Confirmed in 4.2.5 and 4.3.0 on Linux Mint.

Steps to reproduce:
1) Type "tomorrow, i'm going to be 5. but " all in smallcase
2) It will turn it into "Tomorrow, i'm going to be 5. but "

The same goes for having parenthesis at before the period.

Regarding the all caps word at the end of the sentence, i believe that if LibreOffice things the word is an actual word, it will auto-correct the following sentence. I tested this with "where are you going tomorrow JIMMY. what ".
Comment 3 tommy27 2014-08-19 14:44:26 UTC
(In reply to comment #2)
> Confirmed in 4.2.5 and 4.3.0 on Linux Mint.

reproducible under Win7x64 using 4.3.0.4 as well.

> Steps to reproduce:
> 1) Type "tomorrow, i'm going to be 5. but " all in smallcase
> 2) It will turn it into "Tomorrow, i'm going to be 5. but "

reproducible.

> The same goes for having parenthesis at before the period.

yes, but only with numbers followed by parenthesis.

"See you later (come at 5). bye"
"See you later (come at 5 o'clock). Bye"


> Regarding the all caps word at the end of the sentence, i believe that if
> LibreOffice things the word is an actual word, it will auto-correct the
> following sentence. I tested this with "where are you going tomorrow JIMMY.
> what ".

I don't reproduce this.
I get "where are you going tomorrow JIMMY. What ".
Comment 4 Yousuf Philips (jay) (retired) 2014-08-19 15:15:04 UTC
(In reply to comment #3)
> I don't reproduce this.
> I get "where are you going tomorrow JIMMY. What ".

Yes that was an example of it working correctly, as previously mentioned, "LibreOffice thinks the word is an actual word, it will auto-correct the following sentence". I had an example of it not working, but cant seem to be able to remember what it was, as all the ones i try now seem to work. :)
Comment 5 tommy27 2014-08-19 15:20:31 UTC
I remember a bug report of someone complaining of lack of capitalization after some texts like CF. 

now I figure out that was becuase "cf." is listed under "Autocorrect Options/Exceptions/Abbreviations (no Subsequent Capital)"

unfortunately I cannot find the exact bug number for that report
Comment 6 Gordo 2015-06-10 23:34:08 UTC
*** Bug 74887 has been marked as a duplicate of this bug. ***
Comment 7 Gordo 2015-06-11 00:06:32 UTC
Does this have something to do with numbering and abbreviations?  Or is it because a number is not in the range of a-z?

When using numbering, autocaptialise does not happen after the number unless the previous sentence or numbered item ends with a period.  Any sentence ending with a number or letter (except I), and with or without parenthesis (opening and closing or just closing), before a period results in the first word of the next sentence not being capitalised.

this is a test (a). this 
this is a test (A). this 
this is a test a). this 
this is a test a. this 
this is a test A. this 
this is a test (m). this 
this is a test m. this 
this is a test (aa). This <--(two letters and it capitalises)

this is a tes (100). this 
this is a test (10000000). this 
this is a test 1). this 
1. this is a test. <--(no numbering applied)
(1). this is a test. <--(no numbering applied)
1). this is a test. <--(no numbering applied)

this is a test 1a. This <--(number and letter and it capitalises)

In a new document with numbering the first item is capitalised because that is the same as there not being any numbering.  So:
1. Test
2. test
3.

This is a test
1. test
2. test
3.

This is a test.
1. Test
2. test.
3. Test
4.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 8 QA Administrators 2016-09-20 10:02:12 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:16:54 UTC Comment hidden (obsolete)
Comment 10 RGB 2020-04-17 18:44:00 UTC
Problem still present in LibreOffice 6.4.2.2